Subject: Re: [Sigtran] OPC List renamed as DPC List

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 19 Jan 2003 23:16:51 -0700

Srivats,

No.  The entire RFC stays as it stands.  DPC can already be repeated
in the RK.  It is the explanation of the repetition which is missing:
i.e., that one might want to repeat DPC (and associated optional
RK parameters) where the additional DPCs are "alias" point codes for,
say, the first DPC.

But there are other uses for this as well.  For example, the same effect
as cluster routing at the SG could be accomplished by placing all the
DPCs in a cluster in the RK.  Of course, the entire cluster will be
accessible or inaccessible, but that's how cluster routing works.

--brian

On Fri, 17 Jan 2003, Srivats P. wrote:

> Brian,
> 
> In effect, what you are saying is that the OPC List stands as it is
> in the RFC. What has changed is that instead of a single DPC in the
> DPC Parameter, we can have DPC List for an AS which uses Alias Point
> Codes ?
> 
> Srivats
> 
> At 1/17/03 5:58:00 AM, you wrote:
> >Srivats,
> >
> >Section 3.8 of the IG is absurd.
> >
> >It is impossible to specify the OPC without the OPC List parameter.
> >
> >Alias point codes are handled by repeating the DPC and associated
> >routing key parameters again in the list per:
> >
> >      Note: The Destination Point Code, Service Indicators, Originating
> >      Point Code List and Circuit Range List parameters MAY be repeated
> >      as a grouping within the Routing Key parameter, in the structure
> >      shown above.
> >
> >Section 3.8 of the IG should be struck.
> >
> >--brian
> >
> >
> >Srivats P. wrote:                                                                  (Fri, 17 Jan 2003 18:01:01)
> >> Hi,
> >> 
> >> I need a clarification regarding the "OPC List in Registration
> >> Request Message" issue in the M3UA IG.
> >> 
> >> <quote>
> >>     ---------
> >>     New text: (Section 3.6.1)
> >>     ---------
> >> 
> >>     DPC List:
> >> 
> >>     The Destination Point Code List parameter contains one or more SS7
> >>     DPC entries, and its format is the same as the Destination Point Code
> >>     parameter. Multiple DPC values will only be valid in the case of
> >>     Alias Point Code configuration. The absence of the DPC List parameter
> >>     in the Routing Key indicates the use of the DPC value as the only
> >>     posible DPC for the AS.
> >> 
> >>  3.8.3 Solution description
> >> 
> >>     Including the scenario where this parameter is used (Alias point code
> >>     configurations), the problem is solved. The parameter name has also
> >>     be changed to "Destination" since it is the way that the SG sees it.
> >> 
> >> </quote>
> >> 
> >> the OPC List has been renamed as DPC List. So now we have a DPC Parameter
> >> (the point code of the AS which is being registered) and a DPC List (
> >> earlier OPC List) which is a list of SS7 Point Codes from which the AS
> >> can receive messages. Right ?
> >> 
> >> Say, SP A in the SS7 network has alias point codes 1-1-1 and 1-1-2.
> >> ASP X registers an AS (DPC = 3-3-3 and DPC List = 1-1-1, 1-1-2). Now if the
> >> SG receives any message with the DPC value as 3-3-3 in the Routing Label,
> >> it will check the OPC value in the Routing Label to see if it is either
> >> 1-1-1 or 1-1-2, before sending the message to the AS. Right ?
> >> 
> >> What happens if the DPC List (1-1-1, 1-1-2) was not included in the RK ?
> >> According to the IG -
> >> 
> >> "The absence of the DPC List parameter in the Routing Key indicates the 
> >> use of the DPC value as the only posible DPC for the AS."
> >>           ^^^^^^^^^^^
> >> 
> >> Which "DPC value" is being referred to here ? 3-3-3 ? But wasn't it the
> >> same case even when the "DPC List (formerly OPC List)" was included ?
> >> The ONLY point code of the AS was still 3-3-3. What am I misreading here ?
> >> 
> >> Regards,
> >> Srivats
> >> 
> >> _______________________________________________
> >> Sigtran mailing list
> >> [email-masked]
> >> https://www1.ietf.org/mailman/listinfo/sigtran
> >
> >-- 
> >Brian F. G. Bidulock
> >[email-masked]
> >http://www.openss7.org/
> >

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran